<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for texec.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
texec - execute a program with a time limit

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>texec</B> [ <B>-t</B> <I>N</I> | <B>-s</B> <I>N</I> | <B>-m</B> <I>N</I> | <B>-h</B> <I>N</I> ] [ <B>-v</B> ] <I>program</I> [ <I>argu</I><B>_</B>m<I>ents</I>
]

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>texec</I> program executes <I>program</I> with a specified time
limit. If the program runs for longer than the maximum
time, it will be terminated. This is useful for running
regression tests with a compiler that may generate code
with infinite loops. The default time limit is infinity.
The <I>arguments</I> are passed to the <I>program</I>.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-t</B> <I>N</I><BR>


<DL>

<DT><B>-s</B> <I>N</I> </DT></DT>
<DD>Set the time limit to <I>N</I> seconds.
</DD>

<DT><B>-m</B> <I>N</I> </DT></DT>
<DD>Set the time limit to <I>N</I> minutes.
</DD>

<DT><B>-h</B> <I>N</I> </DT></DT>
<DD>Set the time limit to <I>N</I> hours.
</DD>

<DT><B>-v</B> </DT></DT>
<DD>    Print the execution time when the program is terminated.
</DD>
</DL>
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
</UL>
</BODY></HTML>
